gr::radar::split_cc_impl Class Reference

`#include <split_cc_impl.h>`

Inheritance diagram for gr::radar::split_cc_impl:

## Public Member Functions

| split_cc_impl (int packet_num, const std::vector< int > packet_parts, const std::string &len_key)
| ~split_cc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_packet_num
int | d_offset
std::vector< int > | d_packet_parts
std::vector< tag_t > | d_tags

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::split_cc
typedef std::shared_ptr< split_cc > | sptr
Static Public Member Functions inherited from gr::radar::split_cc
static sptr | make (int packet_num, const std::vector< int > packet_parts, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::split_cc.

## Constructor & Destructor Documentation

## split_cc_impl()

gr::radar::split_cc_impl::split_cc_impl | ( | int | packet_num,
|  | const std::vector< int > | packet_parts,
|  | const std::string & | len_key )

## ~split_cc_impl()

gr::radar::split_cc_impl::~split_cc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::split_cc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::split_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_offset

int gr::radar::split_cc_impl::d_offset

## d_packet_num

int gr::radar::split_cc_impl::d_packet_num

## d_packet_parts

std::vector<int> gr::radar::split_cc_impl::d_packet_parts

## d_tags

std::vector<tag_t> gr::radar::split_cc_impl::d_tags

The documentation for this class was generated from the following file:

- split_cc_impl.h